﻿Imports System.Globalization
Imports C1.Web.Wijmo.Controls.C1Chart

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        'array consisting names of the months
        Dim monthNames As String() = DateTimeFormatInfo.CurrentInfo.MonthNames


        Dim unitsSold As Double() = New Double(11) {}
        Dim month As Double() = New Double(11) {}

        'populate the array
        Dim i As Integer = 0
        For i = 0 To 11
            unitsSold(i) = i
            month(i) = i * i
        Next

        'create an object of chart series and add data
        Dim bcs As New BarChartSeries()
        bcs.Data.X.AddRange(unitsSold)
        bcs.Data.Y.AddRange(month)
        bcs.Label = "SalesPerMonth"


        C1BarChart1.SeriesList.Add(bcs)

        For i = 0 To monthNames.Length - 2
            'create object of ValueLabel class
            Dim vl As New ValueLabel()
            ' set the x-axis value which you want to replace
            vl.NumericValue = i
            ' set the desired value which you want to show
            vl.Text = monthNames(i).Substring(0, 3)
            ' add it to the ValueLabel collection
            C1BarChart1.Axis.X.ValueLabelList.Add(vl)
        Next

        'set the annotation to valuelabels instead of values.
        C1BarChart1.Axis.X.AnnoMethod = ChartAxisAnnoMethod.ValueLabels

    End Sub
End Class
